List the name and ID of all of the scoped user roles in the supplied Octopus Deploy Space. The results will be sorted by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resources.
Query Parameters
idsarray of stringskipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Scoped User Roles
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectEnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectGroupIdsarray of stringProjectIdsarray of stringSpaceIdstringTeamIdstringTenantIdsarray of stringUserRoleIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectGroupIds": [
"string"
],
"ProjectIds": [
"string"
],
"SpaceId": "string",
"TeamId": "string",
"TenantIds": [
"string"
],
"UserRoleId": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a scoped user role
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
EnvironmentIdsarray of stringProjectGroupIdsarray of stringProjectIdsarray of stringSpaceIdstringTeamIdstring (required)
Minimum length 1.TenantIdsarray of stringUserRoleIdstring (required)
Minimum length 1.
Response
201 — Created
EnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectGroupIdsarray of stringProjectIdsarray of stringSpaceIdstringTeamIdstringTenantIdsarray of stringUserRoleIdstring
Example Request
{
"EnvironmentIds": [
"string"
],
"ProjectGroupIds": [
"string"
],
"ProjectIds": [
"string"
],
"SpaceId": "string",
"TeamId": "string",
"TenantIds": [
"string"
],
"UserRoleId": "string"
}Example Response
{
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectGroupIds": [
"string"
],
"ProjectIds": [
"string"
],
"SpaceId": "string",
"TeamId": "string",
"TenantIds": [
"string"
],
"UserRoleId": "string"
}Get a Scoped User Role by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)spaceIdstring (required)
The ID of the space containing the resources.
Response
200 — Scoped User Role.
EnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectGroupIdsarray of stringProjectIdsarray of stringSpaceIdstringTeamIdstringTenantIdsarray of stringUserRoleIdstring
Example Response
{
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectGroupIds": [
"string"
],
"ProjectIds": [
"string"
],
"SpaceId": "string",
"TeamId": "string",
"TenantIds": [
"string"
],
"UserRoleId": "string"
}Modify a scoped user role
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the scoped user role to modify.spaceIdstring (required)
Request Body
EnvironmentIdsarray of stringIdstring (required)
The ID of the scoped user role to modify. Minimum length 1.ProjectGroupIdsarray of stringProjectIdsarray of stringSpaceIdstringTeamIdstring (required)
Minimum length 1.TenantIdsarray of stringUserRoleIdstring (required)
Minimum length 1.
Response
200 — Confirmation that the Scoped User Role was modified, containing the updated Role
EnvironmentIdsarray of stringIdstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectGroupIdsarray of stringProjectIdsarray of stringSpaceIdstringTeamIdstringTenantIdsarray of stringUserRoleIdstring
Example Request
{
"EnvironmentIds": [
"string"
],
"Id": "string",
"ProjectGroupIds": [
"string"
],
"ProjectIds": [
"string"
],
"SpaceId": "string",
"TeamId": "string",
"TenantIds": [
"string"
],
"UserRoleId": "string"
}Example Response
{
"EnvironmentIds": [
"string"
],
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectGroupIds": [
"string"
],
"ProjectIds": [
"string"
],
"SpaceId": "string",
"TeamId": "string",
"TenantIds": [
"string"
],
"UserRoleId": "string"
}Delete an existing Scoped User Role
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Scoped User Role to delete.spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — Success